Debian Bug report logs - #294500
ipython breaks because profile.py is removed in the latest dsfg-free python 2.3.

version graph

Package: ipython; Maintainer for ipython is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for ipython is src:ipython.

Reported by: tyranix <tyranix@gmail.com>

Date: Thu, 10 Feb 2005 01:18:02 UTC

Severity: grave

Tags: fixed, patch

Merged with 294861

Found in version 0.6.5-1

Fixed in version ipython/0.6.12-1

Done: Norbert Tretkowski <nobse@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jack Moffitt <jack@xiph.org>:
Bug#294500; Package ipython. Full text and rfc822 format available.

Acknowledgement sent to tyranix <tyranix@gmail.com>:
New Bug report received and forwarded. Copy sent to Jack Moffitt <jack@xiph.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: tyranix <tyranix@gmail.com>
To: submit@bugs.debian.org
Subject: ipython breaks because profile.py is removed in the latest dsfg-free python 2.3.
Date: Wed, 9 Feb 2005 20:11:23 -0500
Package: ipython
Version: 0.6.5-1
Severity: grave

Because of the license for profile.py as mentioned here:
http://lists.debian.org/debian-legal/2005/02/msg00103.html
http://mail.python.org/pipermail/python-dev/2005-February/051450.html

the latest Debian python packages removed profile.py.  Ipython
tries to import it and exits when that fails.

% ipython
Traceback (most recent call last):
  File "/usr/bin/ipython", line 26, in ?
    import IPython
  File "/usr/lib/python2.3/site-packages/IPython/__init__.py", line 52, in ?
    __import__(name,glob,loc,[])
  File "/usr/lib/python2.3/site-packages/IPython/Shell.py", line 30, in ?
    from IPython.iplib import InteractiveShell
  File "/usr/lib/python2.3/site-packages/IPython/iplib.py", line 54, in ?
    from IPython.Magic import Magic,magic2python,shlex_split
  File "/usr/lib/python2.3/site-packages/IPython/Magic.py", line 24, in ?
    import os,sys,inspect,pydoc,re,tempfile,profile,pstats,shlex,pdb,bdb
ImportError: No module named profile
% 

||/ Name           Version        Description
+++-==============-==============-===================
ii  python2.3      2.3.5-1        An interactive high-level object-oriented lan



Information forwarded to debian-bugs-dist@lists.debian.org, Jack Moffitt <jack@xiph.org>:
Bug#294500; Package ipython. Full text and rfc822 format available.

Acknowledgement sent to Torsten Marek <shlomme@gmx.net>:
Extra info received and forwarded to list. Copy sent to Jack Moffitt <jack@xiph.org>. Full text and rfc822 format available.

Message #10 received at 294500@bugs.debian.org (full text, mbox):

From: Torsten Marek <shlomme@gmx.net>
To: 294500@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Patch for missing profile.py
Date: Mon, 14 Feb 2005 15:53:11 +0100
[Message part 1 (text/plain, inline)]
tags 294500 patch
thanks

Please apply the attached patch to Magic.py to make profiling support optional
and display a notice if the profiling module is not installed.
Also, the package description should include python2.3-profiler in Suggests.

greetings

Torsten
-- 
Torsten Marek <shlomme@gmx.net>
ID: A244C858 -- FP: 1902 0002 5DFC 856B F146  894C 7CC5 451E A244 C858
Keyserver: subkeys.pgp.net

[ipython.patch (text/x-patch, inline)]
--- Magic.py	2005-02-14 15:34:17 +0100
+++ /usr/lib/python2.3/site-packages/IPython/Magic.py	2005-02-14 15:46:09 +0100
@@ -21,7 +21,11 @@
 
 # Python standard modules
 import __builtin__
-import os,sys,inspect,pydoc,re,tempfile,profile,pstats,shlex,pdb,bdb
+import os,sys,inspect,pydoc,re,tempfile,shlex,pdb,bdb
+try:
+    import profile,pstats
+except ImportError:
+    profile = pstats = None
 from getopt import getopt
 from pprint import pprint, pformat
 from cStringIO import StringIO
@@ -161,7 +165,15 @@
         self.options_table = {}
         MAGIC_PREFIX = shell.name+'.magic_'
         MAGIC_ESCAPE = shell.ESC_MAGIC
+        if profile is None:
+            self.magic_prun = self.profile_missing_notice
+
+    def profile_missing_notice(self, *args, **kwargs):
+        print """The profile has been removed from the standard Debian package because
+of its non-free license. To use profiling, please install "python2.3-profiler"
+from non-free."""
 
+        
     def default_option(self,fn,optstr):
         """Make an entry in the options_table for fn, with value optstr"""
         
@@ -975,6 +987,7 @@
         print 'Automatic pdb calling has been turned',\
               on_off(self.shell.InteractiveTB.call_pdb)
 
+
     def magic_prun(self, parameter_s ='',user_mode=1,
                    opts=None,arg_lst=None,prog_ns=None):
 

Tags added: patch Request was from Torsten Marek <shlomme@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jack Moffitt <jack@xiph.org>:
Bug#294500; Package ipython. Full text and rfc822 format available.

Acknowledgement sent to "Steven R. Baker" <srbaker@debian.org>:
Extra info received and forwarded to list. Copy sent to Jack Moffitt <jack@xiph.org>. Full text and rfc822 format available.

Message #17 received at 294500@bugs.debian.org (full text, mbox):

From: "Steven R. Baker" <srbaker@debian.org>
To: 294500@bugs.debian.org
Subject: NMU of ipython
Date: Thu, 17 Feb 2005 05:26:58 -0400
I NMUed IPython (0.6.5-1.1) to fix this bug.

Thanks for the patch.

-Steven



Tags added: fixed Request was from srbaker@debian.org (Steven R. Baker) to control@bugs.debian.org. Full text and rfc822 format available.

Merged 294500 294861. Request was from Norbert Tretkowski <tretkowski@inittab.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Norbert Tretkowski <nobse@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to tyranix <tyranix@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #26 received at 294500-close@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <nobse@debian.org>
To: 294500-close@bugs.debian.org
Subject: Bug#294500: fixed in ipython 0.6.12-1
Date: Thu, 03 Mar 2005 16:32:21 -0500
Source: ipython
Source-Version: 0.6.12-1

We believe that the bug you reported is fixed in the latest version of
ipython, which is due to be installed in the Debian FTP archive:

ipython_0.6.12-1.diff.gz
  to pool/main/i/ipython/ipython_0.6.12-1.diff.gz
ipython_0.6.12-1.dsc
  to pool/main/i/ipython/ipython_0.6.12-1.dsc
ipython_0.6.12-1_all.deb
  to pool/main/i/ipython/ipython_0.6.12-1_all.deb
ipython_0.6.12.orig.tar.gz
  to pool/main/i/ipython/ipython_0.6.12.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 294500@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Norbert Tretkowski <nobse@debian.org> (supplier of updated ipython package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  2 Mar 2005 12:15:09 +0100
Source: ipython
Binary: ipython
Architecture: source all
Version: 0.6.12-1
Distribution: unstable
Urgency: low
Maintainer: Jack Moffitt <jack@xiph.org>
Changed-By: Norbert Tretkowski <nobse@debian.org>
Description: 
 ipython    - An enhanced interactive Python shell
Closes: 206653 294500 294861 295779
Changes: 
 ipython (0.6.12-1) unstable; urgency=low
 .
   * New upstream release.
   * Removed patch which was added in 0.6.5-1.1 to make profiling support
     optional, it was merged upstream.
 .
 ipython (0.6.11-1) unstable; urgency=low
 .
   * New upstream release.
     + Fixed broken profiling support unless -D is specified. (closes: #295779)
   * Acknowledged NMUs. (closes: #206653, #294500, #294861)
   * New co-maintainer, added myself to uploaders.
Files: 
 770504838a595a3513573605a001b248 647 python optional ipython_0.6.12-1.dsc
 3a72e214fe2164f9f86103523e3d8276 870350 python optional ipython_0.6.12.orig.tar.gz
 69a2121f4090397b9657f80f8ddb0fb9 6809 python optional ipython_0.6.12-1.diff.gz
 3a0625813a7da9aa77c2c3af903f7001 880810 python optional ipython_0.6.12-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCJluyr/RnCw96jQERAk9DAJ4m8R9TW1MQIDHFg4Lapj8A0tVY3QCggypE
/CkADpZ1dsyke/Vr6B4ru4c=
=z7Cp
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:40:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.